import request from '@/utils/request'


//导入
export function importTemplate() {
  return request({
    url: '/mall/mallSchoolIntroduce/importTemplate',
    method: 'get'
  })
}

// 查询学校介绍关联列表
export function listMallSchoolIntroduce(query) {
  return request({
    url: '/mall/mallSchoolIntroduce/list',
    method: 'get',
    params: query
  })
}

// 查询学校介绍关联详细
export function getMallSchoolIntroduce(schoolIntroduceId) {
  return request({
    url: '/mall/mallSchoolIntroduce/' + schoolIntroduceId,
    method: 'get'
  })
}

// 新增学校介绍关联
export function addMallSchoolIntroduce(data) {
  return request({
    url: '/mall/mallSchoolIntroduce',
    method: 'post',
    data: data
  })
}

// 修改学校介绍关联
export function updateMallSchoolIntroduce(data) {
  return request({
    url: '/mall/mallSchoolIntroduce',
    method: 'put',
    data: data
  })
}

// 删除学校介绍关联
export function delMallSchoolIntroduce(schoolIntroduceId) {
  return request({
    url: '/mall/mallSchoolIntroduce/' + schoolIntroduceId,
    method: 'delete'
  })
}
